Subject: Re: [PATCH] ppc: Add support for AMCC Taishan 440GX eval board

From: Jon Loeliger <[email-masked]>
Date: Mon, 12 Feb 2007 14:16:21 -0600

So, like, the other day Benjamin Herrenschmidt mumbled:
> 
> Note that there are still things that we might want to change. For
> example, I think we really should look into adding a macro mecanism
> and/or an include mecanism to dtc so that we can do things like #include
> <ibm440gp.dtc> to get the base processor/SoC definition and then
> "overlay" some properties on top of it (like emac phy mode etc...)

What do people prefer here?  Straight CPP pre-run?
Direct support built into dtc to do file-inclusion, macros?

Thoughts, opinions, suggestions, pre-NACKs, Cabernet Franc bribes?

jdl